<% title "~ #{@trail.icon_img_html} #{@trail.kctref}", "~ #{@trail.kctref} : trasa" %>

<% render partial: 'errors_for', object: @trail %>

<div class="map-panel">
  <%= render 'osm_trails/map', :osm_trail=> @trail.osm_trail, :div_class => 'fluid-map' %>
</div>

<div class="attrs" style="padding-bottom:2em"> <!-- Údaje ============================= -->
  <!-- REF ==================-->
  <div class="attribute">
    <dl class="main">
      <dt>REF</dt>
      <dd>
        <%= @trail.kctref %> <span class="dimm">/ <%= @trail.osmid %></span>
        <a class="dropdown-toggle collapsed" data-toggle="collapse" data-target="#nazev"><span class="caret"></span></a>
      </dd>
    </dl>
    <dl class="aside">
      <dt>KČT</dt><dd>
        <%= link_to_not_nil @trail.kct_trail.andand.kctref, @trail.kct_trail %>
      </dd>
      <dt>OSM</dt><dd>
      <% if @osm_trail %>
        <%= link_to @osm_trail.kctref, @osm_trail %>
        <%= link_to 'O', osm_relation_url(@osm_trail) %>
        <%= link_to '&#8635;'.html_safe, @osm_trail.reimport_path, {:method => :patch} %>
      <% end %>
      </dd>
    </dl>
  </div>
  
  <!-- NÁZEV  ==================-->
  <div class="attribute collapse" id="nazev">
    <dl class="main">
      <dt>NÁZEV</dt>
      <dd><%= @trail.nazev %></dd>
    </dl>
    <dl class="aside">
      <dt>&nbsp;</dt><dd>&nbsp;</dd>
      <dt>OSM</dt><dd><%= @trail.osm_trail.andand.nazev %></dd>
    </dl>
  </div>
  
  <!-- BARVA a TYP  ==================-->
  <div class="attribute">
    <dl class="main">
      <dt>BARVA / TYP</dt>
      <dd><%= @trail.icon_img_html %> <%= @trail.barva %> <span class="dimm">/ <%= @trail.typ %></span></dd>
    </dl>
    <dl class="aside">
      <dt>KČT</dt><dd>???</dd>
      <dt>OSM</dt><dd>???</dd>
    </dl>
  </div>
  
</div>

  <!-- ROZCESTNÍKY ====================-->
<% unless @trail.guideposts.blank? %>
  <h2>Rozcestníky</h2>
  <table class="guideposts">
    <tr><th class="dimm">seq</th><th>km</th><th>název</th><th>odkazy</th></tr>
    
    <% @trail.signs.each_with_index do |sign,index| guidepost = sign.guidepost %>
    <tr id="<%= index %>">
      <td class="dimm" align="center"><%= index+1 %></td>
      <%= render sign %>
    </tr>
    <% end %> 
  </table>
  
  <script>
    $( "table.guideposts tr" ).mouseenter(function(event) {
      arrayMarkers[$(this).attr('id')].setStyle({color: 'red', radius:20})
    }).mouseleave(function(event) {
      arrayMarkers[$(this).attr('id')].setStyle({color: 'blue', radius:10})
    });
  </script>
<% end %>

  <!-- POZNÁMKY ========================-->
<h2>Poznámky</h2>
<% @trail.notes.each do |note| %>
  <p><%= note.text %></p>
<% end %>
<p><%= link_to 'přidej poznámku', new_note_path(note: {trail_id: @trail})%></p>
  
  <!-- SPLIT ========================-->
<h2>Rozdělit trasu</h2>
<%= form_for(@trail) do |f| %>
  <p>Rozdělit trasu v místě rozcestníku 
  <%= collection_select :split, :sign_id, @trail.signs, :id, :title  %> a přesunout
  <%= select :split, :strana, [ ['přední stranu', 'predni'], ['zadní stranu', 'zadni']]  %> do nové trasy.
  <%= f.submit %>
  </p>
<% end %>

  <!-- VYSSI DIVCI ====================-->
<%= form_for(@trail) do |f| %>
  <h2><a href="#" id=blackmagic_title>Vyšší dívčí</a></h2>
  <div id="blackmagic" style="display:none">
    <ul>
      <li>KČT ref: <%= f.text_field :kctref %></li>
      <li>OSM id: <%= f.text_field :osmid %></li>
      <li>Název normalized: <%= f.text_field :nazev_normalized %></li>
      <li>OK KČT: <%= f.check_box :ok_kct %></li>
    </ul>
    <%= f.submit 'Ulož změny' %>
  </div>
  <script>
    $( "#blackmagic_title" ).click(function() {
      $( "#blackmagic" ).toggle( "slow"); return false;
    });
  </script>
<% end %>



<%= content_for :navigace do %>
   <%= link_to 'zobraz', @trail %>
 | <%= link_to 'uprav s KČT', edit_with_kct_trail_path(@trail) %>
 | <%= link_to 'uprav s OSM', edit_with_osm_trail_path(@trail) %>
 | <%= link_to 'uprav s KČT i OSM', edit_with_osm_and_kct_trail_path(@trail) %>
 | <%= link_to 'přenes kilometráž z OSM', update_kilometraz_trail_path(@trail), :method => 'patch' %>
 | <%= link_to 'zkontroluj', check_trail_path(@trail) %>
 | <%= link_to 'smaž', @trail, method: 'delete', prompt: 'Určitě smazat trasu?' %>
<% end %>
